[![License: GPL v3](https://raw.githubusercontent.com/labnex/LabNex/main/assets/license.svg)](https://www.gnu.org/licenses/gpl-3.0) [![Release](https://img.shields.io/github/v/release/labnex/LabNex?display_name=release&label=release
)](https://github.com/labnex/LabNex/releases) [![Crowdin](https://badges.crowdin.net/labnex/localized.svg)](https://crowdin.com/project/labnex)

[<img alt="Become a Patreon" src="https://raw.githubusercontent.com/labnex/LabNex/main/assets/patreon.png" height="80"/>](https://www.patreon.com/mmarif)

# LabNex - Android app for GitLab

LabNex is an open-source Android app for GitLab. You can use it with GitLab.com or your self-hosted GitLab instance. It supports multiple accounts, allowing you to add as many instances as you need.  
LabNex is licensed under the GPLv3 License.

## Downloads

[<img alt='Get it on F-Droid' src='https://raw.githubusercontent.com/labnex/LabNex/main/assets/fdroid.png' height="80"/>](https://f-droid.org/en/packages/com.labnex.app/)
[<img alt='Get it on Google Play' src='https://raw.githubusercontent.com/labnex/LabNex/main/assets/google-play.png' height="80"/>](https://play.google.com/store/apps/details?id=com.labnex.app.premium)
[<img alt='Download builds and releases' src='https://raw.githubusercontent.com/labnex/LabNex/main/assets/apk-badge.png' height="82"/>](https://github.com/labnex/LabNex/releases)
[<img alt='Get it on OpenAPK' src='https://raw.githubusercontent.com/labnex/LabNex/main/assets/openapk.png' height="82"/>](https://www.openapk.net/labnex/com.labnex.app/)

## Features

- Multiple accounts support
- Projects listing
- Groups listing
- Biometric lock for security
- List project issues and merge requests
- Project releases, milestones, labels, members, wiki pages
- Localized
- View commits diff in diff viewer
- Markdown support
- Code editor

[Complete list of features](https://github.com/labnex/LabNex/wiki/Features)

## Building

[Biulding from source](https://github.com/labnex/LabNex/wiki/Building)

## Contributing

[Contributing](https://github.com/labnex/LabNex/wiki/Contributing)

## Translation

LabNex use [Crowdin](https://crowdin.com/project/labnex) for translations. If your language is not listed, please request to add it to the project [here](https://github.com/labnex/LabNex/issues).

**Link: https://crowdin.com/project/labnex**

## Screenshots:

[<img src="https://raw.githubusercontent.com/labnex/LabNex/main/metadata/en-US/images/phoneScreenshots/001.png" alt="001.png" width="200"/>](https://raw.githubusercontent.com/labnex/LabNex/main/metadata/en-US/images/phoneScreenshots/001.png) | [<img src="https://raw.githubusercontent.com/labnex/LabNex/main/metadata/en-US/images/phoneScreenshots/002.png" alt="002.png" width="200"/>](https://raw.githubusercontent.com/labnex/LabNex/main/metadata/en-US/images/phoneScreenshots/002.png) | [<img src="https://raw.githubusercontent.com/labnex/LabNex/main/metadata/en-US/images/phoneScreenshots/003.png" alt="003.png" width="200"/>](https://raw.githubusercontent.com/labnex/LabNex/main/metadata/en-US/images/phoneScreenshots/003.png) | [<img src="https://raw.githubusercontent.com/labnex/LabNex/main/metadata/en-US/images/phoneScreenshots/004.png" alt="004.png" width="200"/>](https://raw.githubusercontent.com/labnex/LabNex/main/metadata/en-US/images/phoneScreenshots/004.png)
---|---|---|---

[More screenshots](https://github.com/labnex/LabNex/tree/main/metadata/en-US/images/phoneScreenshots)

## Links

[Website](https://labnex.app/)  
[Privacy](https://labnex.app/privacy)  
[FAQ](https://github.com/labnex/LabNex/wiki/FAQ)  
[Wiki](https://github.com/labnex/LabNex/wiki/)

## Thanks

Thanks to all the open-source libraries, contributors, and donors for your support.

#### Open source libraries

[Check out](https://github.com/labnex/LabNex/wiki/Open-source-libraries) the open-source libraries used by LabNex.

#### Icon sets

- [tabler/tabler-icons](https://github.com/tabler/tabler-icons)

## Social

[Follow me on Fediverse - mastodon.social/@mmarif](https://mastodon.social/@mmarif)

*All trademarks and logos are the properties of their respective owners.*
